apiVersion: v1
kind: Service
metadata:
  annotations:
    capability.openshift.io/name: NodeTuning
    include.release.openshift.io/hypershift: "true"
    include.release.openshift.io/ibm-cloud-managed: "true"
    include.release.openshift.io/self-managed-high-availability: "true"
    include.release.openshift.io/single-node-developer: "true"
    service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
    service.beta.openshift.io/serving-cert-secret-name: performance-addon-operator-webhook-cert
    service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1761564657
  creationTimestamp: "2025-10-27T11:18:42Z"
  labels:
    name: performance-addon-operator-service
  name: performance-addon-operator-service
  namespace: openshift-cluster-node-tuning-operator
  ownerReferences:
  - apiVersion: config.openshift.io/v1
    controller: true
    kind: ClusterVersion
    name: version
    uid: d36bdf59-d268-4238-afb0-5e0b21cca1a4
  resourceVersion: "6789"
  uid: 3f26e26b-8cfb-4950-bafa-fcb271ce4bce
spec:
  clusterIP: 172.30.116.6
  clusterIPs:
  - 172.30.116.6
  internalTrafficPolicy: Cluster
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  ports:
  - name: "443"
    port: 443
    protocol: TCP
    targetPort: 4343
  selector:
    name: cluster-node-tuning-operator
  sessionAffinity: None
  type: ClusterIP
status:
  loadBalancer: {}
